%define major 2
%define libname %mklibname mpdclient %{major}
%define develname %mklibname -d mpdclient
%define stdevelname %mklibname -d -s mpdclient

Name:           libmpdclient
Version:        2.7
Release:        %mkrel 3
Summary:        API library for interfacing MPD in the C, C++ & Objective C languages
Group:          System/Libraries
License:        BSD
Url:            http://mpd.wikia.com/wiki/ClientLib:libmpdclient
Source0:        http://downloads.sourceforge.net/musicpd/%{name}-%{version}.tar.bz2
BuildRequires:  doxygen

%description
A stable, documented, asynchronous API library for interfacing MPD in the C, 
C++ & Objective C languages.

#-----------------------------------------------------------------------------

%package -n %{libname}
Summary:        API library for interfacing MPD in the C, C++ & Objective C languages
Provides:       %{name} = %{version}-%{release}
Group:          System/Libraries

%description -n %{libname}
A stable, documented, asynchronous API library for interfacing MPD in the C, 
C++ & Objective C languages.

%files -n %{libname}
%defattr(-,root,root,-)
%_libdir/%{name}.so.%{major}*

#-----------------------------------------------------------------------------

%package -n %{develname}
Summary:        Devel headers for %{name}
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Group:          Development/C

%description -n %{develname}
Devel headers for libmpdclient

%files -n %{develname}
%defattr(-,root,root,-)
%doc COPYING NEWS README
%_datadir/doc/%{name}/*
%_libdir/pkgconfig/%{name}.pc
%dir %_includedir/mpd/
%_includedir/mpd/*
%_libdir/%{name}.so

#-----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 2.7-3.mga4
+ Revision: 507263
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.7-2.mga3
+ Revision: 357804
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 07 2012 shlomif <shlomif> 2.7-1.mga3
+ Revision: 256963
- New version: 2.7

* Mon Jan 23 2012 fwang <fwang> 2.6-1.mga2
+ Revision: 200246
- new version 2.6

* Thu Mar 24 2011 boklm <boklm> 2.4-2.mga1
+ Revision: 76177
- rebuild for bug #497

* Tue Mar 22 2011 obgr_seneca <obgr_seneca> 2.4-1.mga1
+ Revision: 75547
- new version 2.4
- cleaned up spec
- removed buildroot tag
- changed url

* Sun Jan 09 2011 shikamaru <shikamaru> 2.3-1.mga1
+ Revision: 4311
- imported package libmpdclient


* Sun Aug 08 2010 Rémy Clouard <shikamaru@mandriva.org> 2.3-1mdv2011.0
+ Revision: 567657
- bump release
- fix Source URL
- remove tabs

* Sun Jan 10 2010 Rémy Clouard <shikamaru@mandriva.org> 2.1-1mdv2010.1
+ Revision: 488717
- bump release

* Wed Nov 04 2009 Rémy Clouard <shikamaru@mandriva.org> 2.0-1mdv2010.1
+ Revision: 460414
- import libmpdclient

